Issue #11004 has been updated by Vit Ondruch.


or may be r49882

----------------------------------------
Bug #11004: make-snapshost does not work
https://bugs.ruby-lang.org/issues/11004#change-51945

* Author: Vit Ondruch
* Status: Open
* Priority: Normal
* Assignee: 
* ruby -v: trunk
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN
----------------------------------------
~~~
# rpm -q ruby
ruby-2.2.1-10.fc23.x86_64

# tool/make-snapshot -packages=xz tmp
Exporting trunk@50098
Exported revision 50098.
take a breath, and go ahead
creating configure... done
creating prerequisites...
generating id.h
id.h updated
generating opt_sc.inc
generating optinsn.inc
generating optunifs.inc
generating insns.inc
generating insns_info.inc
generating vmtc.inc
generating vm.inc
generating node_name.inc
generating known_errors.inc
known_errors.inc updated
file2lastrev.rb: does not seem to be under a vcs: .
Makefile:1340: recipe for target '.revision.time' failed
make: [.revision.time] Error 1 (ignored)
./revision.h unchanged
ruby --disable-gem ./tool/gen_dummy_probes.rb ./probes.d > probes.dmyh
generating parse.c
copying lex.c
generating enc/trans/newline.c ...
converter for universal_newline
converter for crlf_newline
converter for cr_newline
done.  (0.02user 0.00system 0.00elapsed)
generating id.c
id.c updated
generating ext/ripper/ripper.c
make[1]: Entering directory '/tmp/ruby-snapshot20150326-12249-15kak01/ruby-2.3.0-r50098/ext/ripper'
extracting ripper.y from ../../parse.y
compiling compiler ripper.y
generating eventids1.c from ../../parse.y
generating eventids2table.c from ./eventids2.c
make[1]: Leaving directory '/tmp/ruby-snapshot20150326-12249-15kak01/ruby-2.3.0-r50098/ext/ripper'
generating ext/rbconfig/sizeof/sizes.c
make[1]: Entering directory '/tmp/ruby-snapshot20150326-12249-15kak01/ruby-2.3.0-r50098/ext/rbconfig/sizeof'
sizes.c updated
make[1]: Leaving directory '/tmp/ruby-snapshot20150326-12249-15kak01/ruby-2.3.0-r50098/ext/rbconfig/sizeof'
rbconfig.rb updated
generating enc.mk
/tmp/ruby-snapshot20150326-12249-15kak01/ruby-2.3.0-r50098/rbconfig.rb:6:in `<module:RbConfig>': ruby lib version (2.3.0) doesn't match executable version (2.2.1) (RuntimeError)
	from /tmp/ruby-snapshot20150326-12249-15kak01/ruby-2.3.0-r50098/rbconfig.rb:4:in `<top (required)>'
	from /tmp/ruby-snapshot20150326-12249-15kak01/ruby-2.3.0-r50098/lib/mkmf.rb:5:in `require'
	from /tmp/ruby-snapshot20150326-12249-15kak01/ruby-2.3.0-r50098/lib/mkmf.rb:5:in `<top (required)>'
	from ./enc/make_encmake.rb:8:in `load'
	from ./enc/make_encmake.rb:8:in `<main>'
Makefile:1133: recipe for target 'enc.mk' failed
make: *** [enc.mk] Error 1
prerequisites failed
~~~

This is probably due to r49740



-- 
https://bugs.ruby-lang.org/